Subject: rtl-sdr.git branch steve-m/direct_sampling updated. 5ff851decca41058921d2156b186ba5945f29a7f
From: git repository hosting <[email-masked]>
To: [email-masked]
Date: Sat, 04 Aug 2012 19:56:24 +0200

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Repository for Realtek RTL2832U based SDR software".

The branch, steve-m/direct_sampling has been updated
  discards  0119d082a24ab851e1fced4d3ffd7e28dcd282df (commit)
  discards  4b49512fccbba68670f86942cc457be0c87d6871 (commit)
       via  5ff851decca41058921d2156b186ba5945f29a7f (commit)
       via  ab37b1c52a495e024c6eb5ce3a1e4ceb237bfc82 (commit)
       via  88cd4b33cf66bca84289e3de26f8e4145424f59e (commit)
       via  4e2a0ea0c488dbcba067edaf135af9fa7ca6a744 (commit)
       via  54fe3eca01797a137957be5ba2f2a7f8b440cf71 (commit)
       via  3dff6f3c265acba1ed1cd2992a952ecd6f5d28c0 (commit)
       via  2b8dfe43f8ef0da96e91958b6ec2016c173795a9 (commit)
       via  ec925a64adaa82758054ec25cc46efc81709de24 (commit)
       via  de978c3b3a634e0df730c77a3023fb8967bd0e73 (commit)
       via  f7f02836c4d47660060f8269fef42f6195034c7c (commit)
       via  374abaebb8f290970b7a19f683b2b6f989402223 (commit)
       via  d2f8faa20404d9b61ceb53ebf877dabc2e800499 (commit)
       via  62cc8158630d4c175e57ed653aff1b2b99c118e7 (commit)
       via  6e80117205fd8efc919ca5e38d69c0a3760cc82f (commit)
       via  d56267a42fad156baa7b99c14fbdb9938a40ce6b (commit)
       via  c3dde1db9198a2cb552f11dde6dc1b4446bbed8d (commit)
       via  defa7af74b93b7f62ef727e777cbf1b37a3e4568 (commit)
       via  6a9f5c14c278ea53880aaf7323d2c723c55c261a (commit)
       via  37f5559d1c21421241a9b1d791e297edfd462d36 (commit)
       via  fc390b32247e954cedcb6ff1fac580e768016014 (commit)
       via  6328e11da6a335fbe91d3ae40d6683484f7a5aca (commit)
       via  9d0232385b5eb1096a383d9810971a4e0a50c121 (commit)
       via  42a6592e6382e62b7361ad18f42d01286ac2bb18 (commit)
       via  2ad7b39e2dcdcecdf17d58a1bbd451b1cabf9c10 (commit)
       via  f9b5d7b0a66b39d307334bb84a5ffa6b3171f7b8 (commit)
       via  7dc15d9fd74c870c4528f3d6482b90056f94c43b (commit)
       via  f3cf83e3d7cc86218a1d7f6f4ed7ae3ad46f2105 (commit)
       via  98d1b864b6dc40131808280df1bf0db149cba942 (commit)
       via  6ea029d92c73be2ffde6429430c7ea971a4c390d (commit)
       via  304c7c863d77b34ba0c0c4911394a3cfc1cfa017 (commit)

This update added new revisions after undoing existing revisions.  That is
to say, the old revision is not a strict subset of the new revision.  This
situation occurs when you --force push a change and generate a repository
containing something like this:

 * -- * -- B -- O -- O -- O (0119d082a24ab851e1fced4d3ffd7e28dcd282df)
            \
             N -- N -- N (5ff851decca41058921d2156b186ba5945f29a7f)

When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/cgit/rtl-sdr/commit/?id=5ff851decca41058921d2156b186ba5945f29a7f

commit 5ff851decca41058921d2156b186ba5945f29a7f
Author: Steve Markgraf <[email-masked]>
Date:   Fri Jun 22 16:16:02 2012 +0200

    [experimental] allow direct sampling even if no tuner was found
    
    Signed-off-by: Steve Markgraf <[email-masked]>

http://cgit.osmocom.org/cgit/rtl-sdr/commit/?id=ab37b1c52a495e024c6eb5ce3a1e4ceb237bfc82

commit ab37b1c52a495e024c6eb5ce3a1e4ceb237bfc82
Author: Steve Markgraf <[email-masked]>
Date:   Sat May 26 22:50:12 2012 +0200

    [experimental] enable direct sampling for frequencies < 30 MHz
    
    This is highly experimental code for using the RTL2832 as a
    direct sampling receiver. The mode is only enabled when the
    sample-rate 2.048 MS/s and a center frequency < 30 MHz
    is used.
    
    This mode disables the tuner, and by attaching a long wire to
    the In-phase ADC input (pin 1 or 2 of the RTL2832, whereas
    pin 1 is at the molded dot) it is possible to listen to shortwave
    radio stations. The coupling capacitors can be left in place,
    but for better results they should be removed.
    
    Signed-off-by: Steve Markgraf <[email-masked]>

-----------------------------------------------------------------------

Summary of changes:
 configure.ac        |    3 +
 include/rtl-sdr.h   |   38 +++-
 include/tuner_e4k.h |    9 +-
 rtl-sdr.rules       |    5 +
 src/CMakeLists.txt  |   16 ++-
 src/Makefile.am     |    5 +-
 src/librtlsdr.c     |  152 ++++++++++-----
 src/rtl_fm.c        |  576 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/rtl_test.c      |    6 +-
 src/tuner_e4k.c     |    4 +-
 10 files changed, 757 insertions(+), 57 deletions(-)
 create mode 100644 src/rtl_fm.c

hooks/post-receive
-- 
Repository for Realtek RTL2832U based SDR software